Index: trunk/SophyaPI/PI/parradapter.cc
===================================================================
--- trunk/SophyaPI/PI/parradapter.cc	(revision 536)
+++ trunk/SophyaPI/PI/parradapter.cc	(revision 537)
@@ -14,10 +14,10 @@
 // include	parradapter.h
 //
-//	Adaptateur de tableaux 1-D . La methode "Value(i)" doit etre redefinie
-//	dans une classe derivee.
-//
-//--
-//++
-// Links        Voir aussi
+//	Adaptateur de tableaux 1-D . La méthode "Value(i)" doit être redéfinie
+//	dans une classe dérivée.
+//
+//--
+//++
+// Links	Voir aussi
 // P2DArrayAdapter
 // P1DAdapter<T>
@@ -25,5 +25,5 @@
 
 //++
-// Titre        Constructeur, méthodes
+// Titre	Constructeur, méthodes
 //--
 //++
@@ -72,10 +72,10 @@
 // include	parradapter.h
 //
-//	Adaptateur de tableaux 2-D . La methode "Value(i,j)" doit etre redefinie
-//	dans une classe derivee.
-//
-//--
-//++
-// Links        Voir aussi
+//	Adaptateur de tableaux 2-D . La méthode "Value(i,j)" doit être redéfinie
+//	dans une classe dérivée.
+//
+//--
+//++
+// Links	Voir aussi
 // P1DArrayAdapter
 // P2DAdapter<T>
@@ -83,5 +83,5 @@
 
 //++
-// Titre        Constructeur, méthodes
+// Titre	Constructeur, méthodes
 //--
 //++
@@ -447,9 +447,9 @@
 // include	parradapter.h
 //
-//	Adaptateur de tableaux 1-D, construit a partir d'un pointeur
+//	Adaptateur de tableaux 1-D, construit à partir d'un pointeur
 //	"T* data"
 //--
 //++
-// Links        Voir aussi
+// Links	Voir aussi
 // P1DArrayAdapter
 // P2DAdapter<T>
@@ -457,10 +457,10 @@
 
 //++
-// Titre        Constructeur
+// Titre	Constructeur
 //--
 //++
 // P1DAdapter<T>(T* data, int sz, bool ad=false)
-//	Constructeur a partir d'un tableau "T* data", de taille "sz".
-//	Si "ad==true", le destructeur libere l'espace memoire de "data"
+//	Constructeur à partir d'un tableau "T* data", de taille "sz".
+//	Si "ad==true", le destructeur libere l'espace mémoire de "data"
 //	par delete. 
 //--
@@ -475,5 +475,5 @@
 //--
 //++
-// Links        Voir aussi
+// Links	Voir aussi
 // P2DArrayAdapter
 // P1DAdapter<T>
@@ -481,11 +481,11 @@
 
 //++
-// Titre        Constructeur
+// Titre	Constructeur
 //--
 //++
 // P2DAdapter(T* data, int sx, int sy, bool ad=false)
-//	Constructeur a partir d'un pointeur "T* data", representant un
+//	Constructeur à partir d'un pointeur "T* data", représentant un
 //	tableau 2D de taille "sx * sy".
-//	Si "ad==true", le destructeur libere l'espace memoire de "data"
+//	Si "ad==true", le destructeur libere l'espace mémoire de "data"
 //	par delete. 
 //--
Index: trunk/SophyaPI/PI/picmapview.cc
===================================================================
--- trunk/SophyaPI/PI/picmapview.cc	(revision 536)
+++ trunk/SophyaPI/PI/picmapview.cc	(revision 537)
@@ -13,5 +13,9 @@
 //--
 //++
-// Links        Voir aussi
+// Links	Parents
+// PIBaseWdg
+//--
+//++
+// Links	Voir aussi
 // PIColorMap
 //--
Index: trunk/SophyaPI/PI/pidrawer.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawer.cc	(revision 536)
+++ trunk/SophyaPI/PI/pidrawer.cc	(revision 537)
@@ -557,4 +557,28 @@
 /*  --------------------------------------------------------------  */
 
+//++
+// Class	PIElDrawer
+// Lib		PI
+// include	pidrawer.h
+//
+//	Classe de traceur ("Drawer") capable de gérer et de 
+//	tracer une liste d'éléments simples. Cette classe
+//	est utilisé pour le tracé des axes et des éléments de
+//	texte ds les "PIScDrawWdg", "PIDraw3DWdg" et "PIImage".
+//--
+//++
+// Links	Parents
+// PIDrawer
+//--
+
+//++
+// Titre	Constructeurs et méthodes
+//--
+
+//++
+// PIElDrawer()
+//	Constructeur
+//--
+
 /* --Methode-- */
 PIElDrawer::PIElDrawer()
@@ -569,4 +593,12 @@
 }
 
+
+//++
+//  void  SetTitles(const char* tt=NULL, const char* tb=NULL)
+//	Ajout de titres haut ("tt") et bas ("tb")
+//  void  SetTitles(string const & tt, string const & tb)
+//	Ajout de titres haut ("tt") et bas ("tb")
+//--
+
 /* --Methode-- */
 void PIElDrawer::SetTitles(const char* tt, const char* tb)
@@ -581,4 +613,33 @@
 titleT = tt;  titleB = tb;
 }
+
+//++
+// int  ElAddText(PIGrCoord x, PIGrCoord y, const char* s, PIColors c=PI_NotDefColor)
+//	Ajout d'un élément texte avec un attribut de couleur.
+//	Renvoie le numéro identificateur de l'élément.
+// int  ElAddLine(PIGrCoord x1, PIGrCoord y1, PIGrCoord x2, PIGrCoord y2, -
+//                 PIColors c=PI_NotDefColor)
+//	Ajout d'un élément de ligne avec un attribut de couleur.
+//	Renvoie le numéro identificateur de l'élément.
+// int  ElAddRect(PIGrCoord x, PIGrCoord y, PIGrCoord dx, PIGrCoord dy, -
+//                PIColors c=PI_NotDefColor)
+//	Ajout d'un élément de type rectangle avec un attribut de couleur.
+//	Renvoie le numéro identificateur de l'élément.
+// int  ElAddFRect(PIGrCoord x, PIGrCoord y, PIGrCoord dx, PIGrCoord dy, -
+//                PIColors c=PI_NotDefColor)
+//	Ajout d'un élément de type rectangle plein avec un attribut de couleur.
+//	Renvoie le numéro identificateur de l'élément.
+// int  ElAddCirc(PIGrCoord x, PIGrCoord y, PIGrCoord r, PIColors c=PI_NotDefColor)
+//	Ajout d'un élément de type cercle avec un attribut de couleur.
+//	Renvoie le numéro identificateur de l'élément.
+// int  ElAddFCirc(PIGrCoord x, PIGrCoord y, PIGrCoord r, PIColors c=PI_NotDefColor)
+//	Ajout d'un élément de type cercle plein avec un attribut de couleur.
+//	Renvoie le numéro identificateur de l'élément.
+// 
+// void  ElDel(int id)
+//	Suppression de l'élément avec l'identificateur "id".
+// void  ElDelAll()
+//	Suppression de tous les éléments du dessin.
+//--
 
 /* --Methode-- */
Index: trunk/SophyaPI/PI/pidrwtools.cc
===================================================================
--- trunk/SophyaPI/PI/pidrwtools.cc	(revision 536)
+++ trunk/SophyaPI/PI/pidrwtools.cc	(revision 537)
@@ -9,4 +9,44 @@
 #include "pi3ddrw.h"
 
+//++
+// Class	PIDrwTools
+// Lib		PI
+// include	pidrwtools.h
+//
+//	Classe de fenêtre de dialogue permettant de modifier interactivement
+//	Les attributs graphique des "Drawer" attachés aux "PIBaseWdg".
+//	Permet aussi de modifier les attributs d'axes pour les "PIScDrawWdg"
+//--
+// Links	Parents
+// PIWindow
+//--
+//++
+// Links	Voir aussi
+// PIDrawer
+// PIBaseWdg
+//--
+//++
+// Links	Ainsi que
+// PIScDrawWdg
+// PIImage
+// PIDraw3DWdg
+//--
+
+//++
+// Titre	Méthodes statiques
+//--
+//++
+// void  ShowPIDrwTools() 	
+//	Méthode statique permettant l'affichage de la fenêtre de contrôle des
+//	attributs graphiques des "Drawer". L'instance de la classe
+//	 "PIDrwTools" est créée si nécessaire.
+// void  HidePIDrwTools() 
+//	Désacative (cache) la fenêtre "PIDrwTools" (méthode statique).
+// void  SetCurrentBaseWdg(PIBaseWdgGen* cbw)
+//	Méthode statique permettant de sélectionner le "PIBaseWdg" courant.
+// PIBaseWdgGen*  GetCurrentBaseWdg()
+//	Retourne le "PIBaseWdg" courant (méthode statique).
+//--
+
 
 PIDrwTools* PIDrwTools::cwdrwt = NULL;
@@ -18,4 +58,11 @@
 if (cwdrwt == NULL)  cwdrwt = new PIDrwTools(PIApplicationGetApp());
 cwdrwt->Show();
+}
+
+/* --Methode-- */
+void PIDrwTools::HidePIDrwTools() 
+{
+if (cwdrwt == NULL)  return; 
+cwdrwt->Hide();
 }
 
Index: trunk/SophyaPI/PI/pidrwtools.h
===================================================================
--- trunk/SophyaPI/PI/pidrwtools.h	(revision 536)
+++ trunk/SophyaPI/PI/pidrwtools.h	(revision 537)
@@ -26,4 +26,5 @@
   static PIDrwTools* curlutw;
   static void ShowPIDrwTools();
+  static void HidePIDrwTools();
   static void SetCurrentBaseWdg(PIBaseWdgGen* cbw);
   static PIBaseWdgGen* GetCurrentBaseWdg();
Index: trunk/SophyaPI/PI/pigraphuc.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphuc.cc	(revision 536)
+++ trunk/SophyaPI/PI/pigraphuc.cc	(revision 537)
@@ -108,7 +108,8 @@
 //|	kAxeDirDownUp : Axe Y croissant de Bas vers Haut
 //|	kAxeDirUpDown : Axe Y croissant de Haut vers Bas
-//|	kAxeDirAuto : Sens determine a partir de la valeur relative de xmin, xmax, ymin, ymax
-//|	              xmin < xmax : kAxeDirLtoR   -  xmax < xmin : kAxeDirRtoL
-//|	              ymin < ymax : kAxeDirDownUp -  ymax < ymin : kAxeDirUpDown
+//|	kAxeDirAuto : Sens determine a partir de la valeur relative 
+//|	de xmin, xmax, ymin, ymax
+//|	      xmin < xmax : kAxeDirLtoR   -  xmax < xmin : kAxeDirRtoL
+//|	      ymin < ymax : kAxeDirDownUp -  ymax < ymin : kAxeDirUpDown
 //	Par défaut : "xmin=ymin=0." , "ymin=ymax=0." , "kAxeDirLtoR" , "kAxeDirDownUp"
 // 
Index: trunk/SophyaPI/PI/piimage.cc
===================================================================
--- trunk/SophyaPI/PI/piimage.cc	(revision 536)
+++ trunk/SophyaPI/PI/piimage.cc	(revision 537)
@@ -51,7 +51,9 @@
 //--
 //++
-// Links        Voir aussi
+// Links	Voir aussi
 // PIColorMap
 // P2DArrayAdapter
+// PIImgTools
+// PIDrwTools
 //--
 
Index: trunk/SophyaPI/PI/piimgtools.cc
===================================================================
--- trunk/SophyaPI/PI/piimgtools.cc	(revision 536)
+++ trunk/SophyaPI/PI/piimgtools.cc	(revision 537)
@@ -8,5 +8,35 @@
 #include "piimage.h"
 
+//++
+// Class	PIImgTools
+// Lib		PI
+// include	piimgtools.h
+//
+//	Classe de fenêtre de dialogue permettant de modifier interactivement
+//	Les différents attributs de visualisation pour les *PIImage* .
+//--
+//++
+// Links	Parents
+// PIWindow
+//--
+//++
+// Links	Voir aussi
+// PIImage
+//--
+
+//++
+// Titre	Méthodes statiques
+//--
+//++
+// void  ShowPIImgTools() 	
+//	Méthode statique permettant l'affichage de la fenêtre de contrôle des
+//	paramètres de visualisation des images. L'instance de la classe
+//	 "PIImgTools" est créée si nécessaire.
+// void  HidePIImgTools() 
+//	Désacative (cache) la fenêtre "PIImgTools" (méthode statique).
+//--
+
 // ------ Menu des options et fenetre de dialogue pour changement de LUT --------
+
 
 PIImgTools* PIImgTools::curlutw = NULL;
@@ -16,4 +46,11 @@
 if (curlutw == NULL)  curlutw = new PIImgTools(PIApplicationGetApp());
 curlutw->Show();
+}
+
+/* --Methode-- */
+void PIImgTools::HidePIImgTools() 
+{
+if (curlutw == NULL)  return;
+curlutw->Hide();
 }
 
Index: trunk/SophyaPI/PI/piimgtools.h
===================================================================
--- trunk/SophyaPI/PI/piimgtools.h	(revision 536)
+++ trunk/SophyaPI/PI/piimgtools.h	(revision 537)
@@ -23,4 +23,5 @@
   static PIImgTools* curlutw;
   static void ShowPIImgTools();
+  static void HidePIImgTools();
 protected:
   virtual void  Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);
Index: trunk/SophyaPI/PI/pioptmenugen.cc
===================================================================
--- trunk/SophyaPI/PI/pioptmenugen.cc	(revision 536)
+++ trunk/SophyaPI/PI/pioptmenugen.cc	(revision 537)
@@ -28,5 +28,5 @@
 
 //++
-// Titre        Constructeurs
+// Titre	Constructeurs
 //--
 //++
@@ -44,5 +44,5 @@
 
 //++
-// Titre        Méthodes
+// Titre	Méthodes
 //--
 
Index: trunk/SophyaPI/PI/piscdrawwdg.cc
===================================================================
--- trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 536)
+++ trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 537)
@@ -495,4 +495,32 @@
 // --------------------------------------------------------------------------
 
+//++
+// Class	PIYfXDrawer
+// Lib		PI
+// include	piscdrawwdg.h
+//
+//	Classe de traceur de points/fonctions Y = f(X).
+//--
+//++
+// Links	Parents
+// PIDrawer
+//--
+//++
+// Links	Voir aussi
+// P1DArrayAdapter
+//--
+//++
+// Titre	Constructeur
+//--
+
+//++
+// PIYfXDrawer(P1DArrayAdapter* ax, P1DArrayAdapter* ay, bool ad)
+//	Constructeur. Tracé de 
+//|	 Y=ay->Value() = f(X= ax->Value()) si ax et ay != NULL
+//|	Y=ax->Value() = f(X= ax->X())  si ay == NULL
+//	Si "ad==true" les objets "ax" et "ay" sont détruits par 
+//	le destructeur de "PIYfXDrawer".
+//--
+
 /* --Methode-- */
 PIYfXDrawer::PIYfXDrawer(P1DArrayAdapter* ax, P1DArrayAdapter* ay, bool ad)
@@ -601,4 +629,25 @@
 // Classe de traceur de fonction  double = f(fouble)
 //================================================================
+
+//++
+// Class	PIFuncDrawer
+// Lib		PI
+// include	piscdrawwdg.h
+//
+//	Classe de traceur de fonctions Y = f(double X).
+//--
+//++
+// Links	Parents
+// PIDrawer
+//--
+//++
+// Titre	Constructeur
+//--
+//++
+//  PIFuncDrawer(FUNC f)
+//	Cosntructeur de traceur d'une fonction "FUNC f" avec
+//|	typedef double(*FUNC)(double)
+//--
+
 
 /* --Methode-- */
Index: trunk/SophyaPI/PI/pisurfdr.cc
===================================================================
--- trunk/SophyaPI/PI/pisurfdr.cc	(revision 536)
+++ trunk/SophyaPI/PI/pisurfdr.cc	(revision 537)
@@ -1,4 +1,35 @@
+// Module PI : Peida Interactive     PISurfaceDrawer
+// Traceur de surface 3D  - R.Ansari, C.Magneville 98 
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
 #include <math.h>
 #include "pisurfdr.h"
+
+//++
+// Class	PISurfaceDrawer
+// Lib		PI
+// include	pisurfdr.h
+//
+//	Classe de traceur d'une surface Z = f(X,Y)
+//--
+//++
+// Links	Parents
+// PIDrawer3D
+//--
+//++
+// Links	Voir aussi
+// P2DArrayAdapter
+//--
+//++
+// Titre	Constructeur
+//--
+//++
+//  PISurfaceDrawer(P2DArrayAdapter* arr, bool asxy=false, bool asz=true, bool ad = true)
+//	Constructeur. Tracé d'une surface définie par le tableau 2D "arr".
+//	Si asxy == true : Application d'un facteur d'échelle pour égaliser 
+//	le rapport d'aspect des deux axes X et Y
+//	Si asz == true : Application d'un facteur d'échelle pour égaliser 
+//	le rapport d'aspect de l'axe Z par rapport a XY.
+//--
 
 /* --Methode-- */
Index: trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/basexecut.cc	(revision 536)
+++ trunk/SophyaPI/PIext/basexecut.cc	(revision 537)
@@ -9,5 +9,4 @@
 #include "pdlmgr.h"
 #include "ctimer.h"
-// #include "dlftypes.h"
 
 #include "pistdimgapp.h"
Index: trunk/SophyaPI/PIext/pihisto2d.cc
===================================================================
--- trunk/SophyaPI/PIext/pihisto2d.cc	(revision 536)
+++ trunk/SophyaPI/PIext/pihisto2d.cc	(revision 537)
@@ -7,13 +7,19 @@
 
 //++
-// Class	PIHisto2D,PIH2DWdg,H2WinArg
-// Lib	PI
+// Class	PIHisto2D
+// Lib		PIext
 // include	pihisto2d.h
 //
-//	Classes de dessin des histogrammes a 2 dimensions.
-//--
-
-//++
-// Titre	Dessin d'un histogramme 2D.
+//	Classes de dessin des histogrammes a 2 dimensions pour 
+//	objets *Histo2D* 
+//--
+
+//++
+// Links	Parents
+// PIDrawer
+//--
+
+//++
+// Titre	Constructeur, méthodes
 //--
 
@@ -373,6 +379,24 @@
 //  Classe PIH2DWdg
 /////////////////////////////////////////////////////////////////
-//++
-// Titre	Widget de dessin d'un histogramme 2D.
+
+//++
+// Class	PIH2DWdg
+// Lib		PIext
+// include	pihisto2d.h
+//
+//	Classe de composantes graphiques permettant la manipulation
+//	de traceur d'histos 2D ("PIHisto2D")
+//--
+//++
+// Links	Parents
+// PIScDrawWdg
+//--
+//++
+// Links	Voir aussi
+// PIHisto2D
+//--
+
+//++
+// Titre	Constructeur, méthodes
 //--
 
@@ -496,5 +520,24 @@
 /////////////////////////////////////////////////////////////////
 //++
-// Titre	Fenetre de dialogue pour le choix des options..
+// Class	H2WinArg
+// Lib		PIext
+// include	pihisto2d.h
+//
+//	Fenêtre de dialogue pour le choix des options de tracé pour "PIHisto2D"
+//	Classe de fenêtre de dialogue permettant de modifier interactivement
+//	Les différents attributs de visualisation pour les *PIImage* .
+//--
+//++
+// Links	Parents
+// PIWindow
+//--
+//++
+// Links	Voir aussi
+// PIHisto2D
+// PIH2DWdg
+//--
+
+//++
+// Titre	Constructeur, méthodes
 //--
 
Index: trunk/SophyaPI/PIext/pintup3d.cc
===================================================================
--- trunk/SophyaPI/PIext/pintup3d.cc	(revision 536)
+++ trunk/SophyaPI/PIext/pintup3d.cc	(revision 537)
@@ -1,4 +1,41 @@
+// Peida Interactive   -   PI            R. Ansari 97-99
+// Traceur3D (Drawer) pour NTupleInterface  
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
 #include <stdio.h>
 #include "pintup3d.h"
+
+//++
+// Class	PINTuple3D
+// Lib		PIext
+// include	pintup3d.h
+//
+//	Classe de traceur 3D à partir des données
+//	d'un objet implémentant l'interface *NTupleInterface*.
+//	Les objets "PINTuple3D" peuvent tracer des signes (markers)
+//	éventuellement avec des barres d'erreur et une étiquette
+//	pour chaque point. Si un attribut de ligne, autre que
+//	"PI_NotDefLineAtt" est spécifié, les points sont connectés
+//	par une ligne.
+//--
+//++
+// Links	Parents
+// PIDrawer3D
+//--
+//++
+// Links	Voir aussi
+// NTupleInterface
+// PINTuple
+//--
+
+//++
+// Titre	Constructeur
+//--
+//++
+// PINTuple3D(NTupleInterface* nt, bool ad=false)
+//	Constructeur. Si "ad == true", l'objet "nt" est détruit par 
+//	le destructeur de l'objet "PINTuple".
+//	Note : nt doit être créé par new
+//--
 
  
@@ -19,4 +56,21 @@
   if (mAdDO && mNT)  delete mNT;
 }
+
+//++
+// Titre	Méthodes
+//--
+//++
+// void  SelectXYZ(const char* px, const char* py, const char* pz)
+//	Choix des noms de colonnes X,Y,Z définissant les coordonnées des points. 
+//	Ces trois colonnes doivent être spécifiées pour obtenir un tracé.
+// void  SelectErrBar(const char* erbx=NULL, const char* erby=NULL, const char* erbz=NULL)
+//	Choix des noms de colonnes pour le tracé des barres d'erreur.
+// void  SelectWt(const char* pw=NULL, int nbins=10)
+//	Choix du nom de colonne poids. Dans ce cas, la taille du signe
+//	(marker) sera proportionnel à la valeur de cette colonne pour 
+//	chaque point.
+// void  SelectLabel(const char* plabel)
+//	Choix du nom de colonne correspondant à l'étiquette.
+//--
 
 /* --Methode-- */
Index: trunk/SophyaPI/PIext/pintuple.cc
===================================================================
--- trunk/SophyaPI/PIext/pintuple.cc	(revision 536)
+++ trunk/SophyaPI/PIext/pintuple.cc	(revision 537)
@@ -1,5 +1,41 @@
+// Peida Interactive   -   PI        R. Ansari 97-99
+// Traceur (Drawer) pour NTupleInterface  
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
 #include <stdio.h>
 #include "pintuple.h"
 
+//++
+// Class	PINTuple
+// Lib		PIext
+// include	pintuple.h
+//
+//	Classe de traceur 2D (dans un plan) à partir des données
+//	d'un objet implémentant l'interface *NTupleInterface*.
+//	Les objets "PINTuple" peuvent tracer des signes (markers)
+//	éventuellement avec des barres d'erreur et une étiquette
+//	pour chaque point. Si un attribut de ligne, autre que
+//	"PI_NotDefLineAtt" est spécifié, les points sont connectés
+//	par une ligne.
+//--
+//++
+// Links	Parents
+// PIDrawer
+//--
+//++
+// Links	Voir aussi
+// NTupleInterface
+// PINTuple3D
+//--
+
+//++
+// Titre	Constructeur
+//--
+//++
+// PINTuple(NTupleInterface* nt, bool ad)
+//	Cosntructeur. Si "ad == true", l'objet "nt" est détruit par 
+//	le destructeur de l'objet "PINTuple"
+//	Note : nt doit être créé par new
+//--
  
 /* --Methode-- */
@@ -19,4 +55,21 @@
   if (mAdDO && mNT)  delete mNT;
 }
+
+//++
+// Titre	Méthodes
+//--
+//++
+// void  SelectXY(const char* px, const char* py)
+//	Choix des noms de colonnes X,Y définissant les coordonnées des points. 
+//	Ces deux colonnes doivent être spécifiées pour obtenir un tracé.
+// void  SelectErrBar(const char* erbx=NULL, const char* erby=NULL)
+//	Choix des noms de colonnes pour le tracé des barres d'erreur.
+// void  SelectWt(const char* pw=NULL, int nbins=10)
+//	Choix du nom de colonne poids. Dans ce cas, la taille du signe
+//	(marker) sera proportionnel à la valeur de cette colonne pour 
+//	chaque point.
+// void  SelectLabel(const char* plabel=NULL)
+//	Choix du nom de colonne correspondant à l'étiquette.
+//--
 
 /* --Methode-- */