Index: /trunk/SophyaLib/NTools/linfit.cc
===================================================================
--- /trunk/SophyaLib/NTools/linfit.cc	(revision 539)
+++ /trunk/SophyaLib/NTools/linfit.cc	(revision 540)
@@ -3,6 +3,14 @@
 #include "linfit.h"
 
-double LinFit(const Vector& x, const Vector& y, int nf, double (*f)(int, double), 
-	   Vector& c)
+LinFitter::LinFitter()
+{
+}
+
+LinFitter::~LinFitter()
+{
+}
+
+double LinFitter::LinFit(const Vector& x, const Vector& y, int nf, 
+                         double (*f)(int, double), Vector& c)
 {
   int n = x.NElts();
@@ -19,5 +27,5 @@
 
 
-double LinFit(const Matrix& fx, const Vector& y, Vector& c)
+double LinFitter::LinFit(const Matrix& fx, const Vector& y, Vector& c)
 {
   int n = y.NElts();
@@ -50,6 +58,6 @@
 
 
-double LinFit(const Vector& x, const Vector& y, const Vector& errY2, int nf,
-	   double (*f)(int, double), Vector& c, Vector& errC)
+double LinFitter::LinFit(const Vector& x, const Vector& y, const Vector& errY2, int nf,
+	                 double (*f)(int, double), Vector& c, Vector& errC)
 {
   int n = x.NElts();
@@ -65,5 +73,5 @@
 
 
-double LinFit(const Matrix& fx, const Vector& y, const Vector& errY2,
+double LinFitter::LinFit(const Matrix& fx, const Vector& y, const Vector& errY2,
 	   Vector& c, Vector& errC)
 {
Index: /trunk/SophyaLib/NTools/linfit.h
===================================================================
--- /trunk/SophyaLib/NTools/linfit.h	(revision 539)
+++ /trunk/SophyaLib/NTools/linfit.h	(revision 540)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: linfit.h,v 1.4 1999-10-25 16:40:00 ansari Exp $
+// $Id: linfit.h,v 1.5 1999-11-03 14:38:48 ansari Exp $
 //
 
@@ -14,24 +14,26 @@
 namespace PlanckDPC {
 
-double LinFit(const Vector& x, const Vector& y, int nf,
-	   double (*f)(int, double), Vector& c);
+class LinFitter {
+public :
+		LinFitter();
+  virtual	~LinFitter();
+
+  double	LinFit(const Vector& x, const Vector& y, int nf,
+		       double (*f)(int, double), Vector& c);
 // fit lineaire des y en tant que somme de c(i)f(i,x), i=0..nf-1;
 
-
-double LinFit(const Matrix& fx, const Vector& y, Vector& c);
+  double	LinFit(const Matrix& fx, const Vector& y, Vector& c);
 // fit lineaire des y en tant que somme de c(i)f(i,x), i=0..nf-1,
 // la matrice fx contient les valeurs des f:
 // fx(i,j) = f(i, x(j)).
 		      
-
-double LinFit(const Vector& x, const Vector& y, const Vector& errY2, int nf,
-	   double (*f)(int, double), Vector& c, Vector& errC);
+  double	LinFit(const Vector& x, const Vector& y, const Vector& errY2, int nf,
+		       double (*f)(int, double), Vector& c, Vector& errC);
 // fit lineaire des y en tant que somme de c(i)f(i,x), i=0..nf-1,
 // errY2 contient les carres des erreurs sur les Y.
 // au retour, errC contient les erreurs sur les coefs.
 
-
-double LinFit(const Matrix& fx, const Vector& y, const Vector& errY2,
-	   Vector& c, Vector& errC);
+  double	LinFit(const Matrix& fx, const Vector& y, const Vector& errY2,
+		       Vector& c, Vector& errC);
 // fit lineaire des y en tant que somme de c(i)f(i,x), i=0..nf-1,
 // la matrice fx contient les valeurs des f:
@@ -39,4 +41,5 @@
 // errY2 contient les carres des erreurs sur les Y.
 // au retour, errC contient les erreurs sur les coefs.
+};
 
 } // Fin du namespace
Index: /trunk/SophyaLib/NTools/poly.cc
===================================================================
--- /trunk/SophyaLib/NTools/poly.cc	(revision 539)
+++ /trunk/SophyaLib/NTools/poly.cc	(revision 540)
@@ -296,5 +296,6 @@
   }
 
-  double rc = LinFit(a,y,(Vector&)*this);
+  LinFitter lf;
+  double rc = lf.LinFit(a,y,(Vector&)*this);
   UpdateDeg();
   return rc;
@@ -328,5 +329,6 @@
   }
 
-  double rc = LinFit(a,y,erry2,(Vector&)*this,errCoef);
+  LinFitter lf;
+  double rc = lf.LinFit(a,y,erry2,(Vector&)*this,errCoef);
   UpdateDeg();
   return rc;
@@ -577,5 +579,6 @@
   }
 
-  double rc = LinFit(a,z,(Vector&)*this);
+  LinFitter lf;
+  double rc = lf.LinFit(a,z,(Vector&)*this);
   UpdateDeg();
   return rc;
@@ -614,5 +617,6 @@
   }
 
-  double rc = LinFit(a,z,errz2,(Vector&)*this,errCoef);
+  LinFitter lf;
+  double rc = lf.LinFit(a,z,errz2,(Vector&)*this,errCoef);
   UpdateDeg();
   return rc;
@@ -649,5 +653,6 @@
   }
 
-  double rc = LinFit(a,z,cf);
+  LinFitter lf;
+  double rc = lf.LinFit(a,z,cf);
 
   for (int dx = 0; dx <= degre; dx++)
@@ -698,5 +703,6 @@
   }
 
-  double rc = LinFit(a,z,errz2,cf,ecf);
+  LinFitter lf;
+  double rc = lf.LinFit(a,z,errz2,cf,ecf);
 
 