Index: trunk/SophyaPI/PIext/nommatvecadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 543)
+++ trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 544)
@@ -8,6 +8,12 @@
 
 #include "nomgadapter.h"
+
+#ifdef SANS_EVOLPLANCK
 #include "matrix.h"
 #include "cvector.h"
+#else
+#include "tmatrix.h"
+#include "tvector.h"
+#endif
 
 //---------------------------------------------------------------
Index: trunk/SophyaPI/PIext/pawexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/pawexecut.cc	(revision 543)
+++ trunk/SophyaPI/PIext/pawexecut.cc	(revision 544)
@@ -6,6 +6,4 @@
 
 #include "strutil.h"
-#include "cvector.h"
-#include "matrix.h"
 #include "histos.h"
 #include "histos.h"
@@ -18,4 +16,13 @@
 #include "servnobjm.h"
 #include "pistdimgapp.h"
+
+#ifdef SANS_EVOLPLANCK
+#include "cvector.h"
+#include "matrix.h"
+#else
+#include "tmatrix.h"
+#include "tvector.h"
+
+#endif
 
 /* Reza + cmv  13/10/99 */
Index: trunk/SophyaPI/PIext/piafitting.cc
===================================================================
--- trunk/SophyaPI/PIext/piafitting.cc	(revision 543)
+++ trunk/SophyaPI/PIext/piafitting.cc	(revision 544)
@@ -17,6 +17,4 @@
 #include "fct1dfit.h"
 #include "fct2dfit.h"
-#include "matrix.h"
-#include "cvector.h"
 #include "ntuple.h"
 #include "cimage.h"
@@ -25,4 +23,12 @@
 #include "ntuple.h"
 #include "hisprof.h"
+
+#ifdef SANS_EVOLPLANCK
+#include "matrix.h"
+#include "cvector.h"
+#else
+#include "tmatrix.h"
+#include "tvector.h"
+#endif
 
 #include "piafitting.h"
Index: trunk/SophyaPI/PIext/pihisto.cc
===================================================================
--- trunk/SophyaPI/PIext/pihisto.cc	(revision 543)
+++ trunk/SophyaPI/PIext/pihisto.cc	(revision 544)
@@ -1,2 +1,5 @@
+// Classe traceur d histogramme                 96-99
+// CEA-DAPNIA      LAL-IN2P3/CNRS
+
 #include <stdio.h>
 #include <typeinfo>
@@ -5,8 +8,34 @@
 #include "hisprof.h"
 
+//++
+// Class	PIHisto
+// Lib		PIext
+// include	pihisto.h
+//
+//	Classe traceur d'objet histogramme (classe *Histo*)
+//--
+//++
+// Links	Parents
+// PIDrawer
+//--
+//++
+// Titre	Constructeur, méthodes
+//--
+//++
+// PIHisto(Histo* histo, bool ad=false)
+//	Constructeur. Si "ad == true", l'objet "histo" est détruit par 
+//	le destructeur de l'objet "PIHisto"
+//	Note : "histo" doit être créé par new
+//
+// void  SetStats(bool fg=true) 
+//	Active/ désactive l'indication des statistiques d'histogramme
+//--
+
+
 PIHisto::PIHisto(Histo* histo, bool ad)
 : PIDrawer(), mHisto(histo)
 {
   mAdDO = ad;     // Flag pour suppression automatique de mHisto
+  SetStats(true);
 }
 
@@ -96,5 +125,5 @@
   }
   // A faire a la fin - DrawStats change l'attribut de ligne 
-  DrawStats(g);
+  if (stats) DrawStats(g);
 }
 
@@ -105,14 +134,23 @@
   //  if (mLAtt == PI_NotDefLineAtt)  g->SelLine(PI_ThinLine);
   g->SelLine(PI_ThinLine);
-  double cellHeight = (YMax() - YMin()) * 0.05;
-  double cellWidth  = (XMax() - XMin()) * 0.23;
+  g->SelFontSz((YMax() - YMin())/25, mFAtt);
+//  double cellHeight = (YMax() - YMin()) * 0.05;
+  PIGrCoord a, d;
+  double cH = (double)g->GetFontHeight(a,d);
+  double cellHeight = cH * 3.8;
+//  double cellWidth  = (XMax() - XMin()) * 0.23;
+  char label[50];
+  sprintf(label, "N= %.8g    ", mHisto->NData());
+  label[11] ='\0';
+  double cellWidth =  (double)g->CalcStringWidth(label) * 1.1;
   g->DrawLine(XMax() - cellWidth, YMax(),
                        XMax() - cellWidth, YMax() - cellHeight);
   g->DrawLine(XMax() - cellWidth, YMax() - cellHeight,
                        XMax()            , YMax() - cellHeight);
-  char label[50];
-  sprintf(label, "N = %.6g", mHisto->NData());
-  g->SelFontSz((YMax() - YMin())/30);
-  g->DrawString(XMax() - cellWidth*0.9, YMax() - cellHeight*0.8, label);
+  g->DrawString(XMax() - cellWidth*0.95, YMax() - cH*1.2, label);
+  sprintf(label, "m= %.8g", mHisto->Mean());
+  g->DrawString(XMax() - cellWidth*0.95, YMax() - cH*2.4, label);
+  sprintf(label, "s= %.8g", mHisto->Sigma());
+  g->DrawString(XMax() - cellWidth*0.95, YMax() - cH*3.6, label);
                        
 }
Index: trunk/SophyaPI/PIext/pihisto.h
===================================================================
--- trunk/SophyaPI/PIext/pihisto.h	(revision 543)
+++ trunk/SophyaPI/PIext/pihisto.h	(revision 544)
@@ -1,2 +1,5 @@
+// This may look like C code, but it is really -*- C++ -*-
+// Classe traceur d histogramme                 96-99
+// CEA-DAPNIA      LAL-IN2P3/CNRS
 #ifndef PIHISTO_H
 #define PIHISTO_H
@@ -11,10 +14,12 @@
   virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
   virtual void       UpdateLimits();
-  virtual void       DrawStats(PIGraphicUC* g);
+  inline  void       SetStats(bool fg=true) { stats = true; }
   inline  Histo*     Histogram() { return(mHisto); }
 
 protected:
+  virtual void       DrawStats(PIGraphicUC* g);
   Histo* mHisto;
   bool mAdDO;
+  bool stats;        // true -> indication des stats d'histo
 };
 
Index: trunk/SophyaPI/PIext/pihisto2d.cc
===================================================================
--- trunk/SophyaPI/PIext/pihisto2d.cc	(revision 543)
+++ trunk/SophyaPI/PIext/pihisto2d.cc	(revision 544)
@@ -328,6 +328,6 @@
   g->SelFontSz((YMax() - YMin())/30);
   g->DrawString(XMax() - cellWidth*0.9, YMax() - cellHeight*0.8, label);
-  printf("H[%d,%d] Dynamique: [%g,%g] Frac [%g,%g]\n"
-        ,mHisto->NBinX(),mHisto->NBinY(),HMin(),HMax(),FMin(),FMax());
+//  printf("H[%d,%d] Dynamique: [%g,%g] Frac [%g,%g]\n"
+//        ,mHisto->NBinX(),mHisto->NBinY(),HMin(),HMax(),FMin(),FMax());
 }
 
Index: trunk/SophyaPI/PIext/pintuple.cc
===================================================================
--- trunk/SophyaPI/PIext/pintuple.cc	(revision 543)
+++ trunk/SophyaPI/PIext/pintuple.cc	(revision 544)
@@ -34,7 +34,7 @@
 //++
 // PINTuple(NTupleInterface* nt, bool ad)
-//	Cosntructeur. Si "ad == true", l'objet "nt" est détruit par 
+//	Constructeur. Si "ad == true", l'objet "nt" est détruit par 
 //	le destructeur de l'objet "PINTuple"
-//	Note : nt doit être créé par new
+//	Note : "nt" doit être créé par new
 //--
  
@@ -45,4 +45,5 @@
   mNT = nt;
   mAdDO = ad; 
+  SetStats(true);
   SelectXY(NULL, NULL);
   SelectWt(NULL, 1);
@@ -194,8 +195,19 @@
 }
 
-/*
-sprintf(buff, "NTuple:  NEntry= %d  NDisp= %d", (int)mNT->NEntry(), nok);
-g->BaseGraphic()->DrawString(15,15,buff);
-*/
+if (stats) { // Trace de stats 
+  char label[64];
+  sprintf(label, "Nd= %d/ Ntot= %d", nok, mNT->NbLines());
+  g->SelFontSz((YMax() - YMin())/25, mFAtt);  
+  PIGrCoord a,d;
+  double cH = (double)g->GetFontHeight(a,d);
+  double cellHeight = cH * 1.4;
+  double cellWidth =  (double)g->CalcStringWidth(label) * 1.1;
+  g->DrawLine(XMax() - cellWidth, YMax(),
+                       XMax() - cellWidth, YMax() - cellHeight);
+  g->DrawLine(XMax() - cellWidth, YMax() - cellHeight,
+                       XMax()            , YMax() - cellHeight);
+  g->DrawString(XMax() - cellWidth*0.95, YMax() - cH*1.2, label);
+}
+
 return;
 }
Index: trunk/SophyaPI/PIext/pintuple.h
===================================================================
--- trunk/SophyaPI/PIext/pintuple.h	(revision 543)
+++ trunk/SophyaPI/PIext/pintuple.h	(revision 544)
@@ -22,4 +22,5 @@
   virtual void       SelectLabel(const char* plabel=NULL);
 
+  inline  void       SetStats(bool fg=true) { stats = true; }
   virtual void       AppendTextInfo(string& info, double xmin, double ymin, double xmax, double ymax);
        
@@ -33,5 +34,5 @@
   double wMin, wMax;        // Valeurs de poids min/max
   int nWbins;               // Nombre de bins pour le poids (Wt)
-
+  bool stats;               // true -> indication du nb de points
 };
 
Index: trunk/SophyaPI/PIext/pipodrw.h
===================================================================
--- trunk/SophyaPI/PIext/pipodrw.h	(revision 543)
+++ trunk/SophyaPI/PIext/pipodrw.h	(revision 544)
@@ -10,11 +10,13 @@
 #include "pidrawer.h"
 #include "parradapter.h"
-#include "cvector.h"
-#include "matrix.h"
 #include "histos2.h"
 
 #ifdef SANS_EVOLPLANCK
+#include "cvector.h"
+#include "matrix.h"
 class GeneralFunction;
 #else
+#include "tvector.h"
+#include "tmatrix.h"
 namespace PlanckDPC {class GeneralFunction;} 
 #endif
Index: trunk/SophyaPI/PIext/pistlist.cc
===================================================================
--- trunk/SophyaPI/PIext/pistlist.cc	(revision 543)
+++ trunk/SophyaPI/PIext/pistlist.cc	(revision 544)
@@ -1,6 +1,30 @@
+// Classe traceur de StarList               97-99
+// CEA-DAPNIA      LAL-IN2P3/CNRS
+
 #include <stdio.h>
 #include "pistlist.h"
 
- 
+//++
+// Class	PIStarList
+// Lib		PIext
+// include	pistlist.h
+//
+//	Classe traceur d'objets de la classe *StarList* 
+//--
+//++
+// Links	Parents
+// PIDrawer
+//--
+//++
+// Titre	Constructeur
+//--
+
+//++
+//  PIStarList(StarList* stl, bool ad)
+//	Constructeur. Si "ad == true", l'objet "stl" est détruit par 
+//	le destructeur de l'objet "PIStarList"
+//	Note : "stl" doit être créé par new 
+//--
+
 /* --Methode-- */
 PIStarList::PIStarList(StarList* stl, bool ad)
@@ -16,4 +40,19 @@
   if (mAdDO && mStL)  delete mStL;
 }
+
+//++
+// Titre	Méthodes
+//--
+//++
+//  void  SetFluxLimits(float min=1., float max=-1., int nl=5, bool dispflx=false, bool refr=false)
+//	Modifie les paramètres de visualisation (limites en flux). Si "dispflx==true"
+//	les valeurs de flux sont affichées pour chaque étoile.
+//  StarList*  StList()
+//	Retourne l'objet "StarList" associé.
+//  float FluxMin()
+//	Retourne le paramètre de visualisation flux minimum
+//  float FluxMax()
+//	Retourne le paramètre de visualisation flux maximum
+//--
 
 /* --Methode-- */
Index: trunk/SophyaPI/PIext/servnobjm.cc
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.cc	(revision 543)
+++ trunk/SophyaPI/PIext/servnobjm.cc	(revision 544)
@@ -19,6 +19,12 @@
 #include "fct2dfit.h"
 
+#ifdef SANS_EVOLPLANCK
 #include "matrix.h"
 #include "cvector.h"
+#else
+#include "tmatrix.h"
+#include "tvector.h"
+#endif
+
 #include "ntuple.h"
 #include "cimage.h"