Index: trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/basexecut.cc	(revision 545)
+++ trunk/SophyaPI/PIext/basexecut.cc	(revision 546)
@@ -63,6 +63,6 @@
   }  
 else if (kw == "stacknext") mImgApp->StackWinNext(); 
-else if (kw == "gratt") {
-  if (tokens.size() < 1) { cout << "Usage: gratt attributes_list (att=def->defaut)" << endl;  return(0); }
+else if (kw == "graphic_att") {
+  if (tokens.size() < 1) { cout << "Usage: graphic_att attributes_list (att=def->defaut)" << endl;  return(0); }
   mObjMgr->SetGraphicAttributes(tokens[0]); 
   }
@@ -662,5 +662,5 @@
 mpiac->RegisterCommand(kw, usage, this, "Graphics");
 
-kw = "gratt";
+kw = "graphic_att";
 usage = "To change default graphic options \n  Usage: gratt att_list \n";
 usage += "att_list=def back to default values, Example: gratt red,circlemarker5";
@@ -685,4 +685,5 @@
 usage += ">> LogScale : linx liny logx logy -> Lin/Log Scales for 2D plots \n";
 usage += ">> XYLimits : xylimits  -> Forces X-Y limits in 2-D plots \n";
+usage += ">> stat/nostat or stats/nostats -> Toggle statistic display flag \n";
 usage += ">> DisplayWindow: next same win stack \n";
 usage += "   Related commands: setxylimits";  
Index: trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.cc	(revision 545)
+++ trunk/SophyaPI/PIext/nobjmgr.cc	(revision 546)
@@ -1128,4 +1128,5 @@
 else {
   PINTuple* pin = new PINTuple(nt, false);
+  pin->SetStats(Services2NObjMgr::GetStatsOption(dopt));
   pin->SelectXY(nmx.c_str(), nmy.c_str());
   pin->SelectWt(wt.c_str());
@@ -1226,4 +1227,5 @@
 bool fg = false;
 servnobjm->DecodeDispOption(gratt, fg);
+Services2NObjMgr::SetDefaultStatsOption(Services2NObjMgr::GetStatsOption(gratt));
 }
 
Index: trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 545)
+++ trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 546)
@@ -9,4 +9,5 @@
 #include "pihisto2d.h"
 #include "pipodrw.h"
+#include "servnobjm.h"
 
 //-------------------------------------------------------------------------
@@ -66,5 +67,7 @@
 if (typeid(*mHis) == typeid(HProf))  dopt = "fcirclemarker5," + dopt;
 else dopt = "thinline," + dopt;
-return( new PIHisto(mHis, false) );
+PIHisto * pih = new PIHisto(mHis, false);
+pih->SetStats(Services2NObjMgr::GetStatsOption(dopt));
+return( pih );
 }
 
Index: trunk/SophyaPI/PIext/pihisto.h
===================================================================
--- trunk/SophyaPI/PIext/pihisto.h	(revision 545)
+++ trunk/SophyaPI/PIext/pihisto.h	(revision 546)
@@ -14,5 +14,5 @@
   virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
   virtual void       UpdateLimits();
-  inline  void       SetStats(bool fg=true) { stats = true; }
+  inline  void       SetStats(bool fg=true) { stats = fg; }
   inline  Histo*     Histogram() { return(mHisto); }
 
Index: trunk/SophyaPI/PIext/pintuple.h
===================================================================
--- trunk/SophyaPI/PIext/pintuple.h	(revision 545)
+++ trunk/SophyaPI/PIext/pintuple.h	(revision 546)
@@ -22,5 +22,5 @@
   virtual void       SelectLabel(const char* plabel=NULL);
 
-  inline  void       SetStats(bool fg=true) { stats = true; }
+  inline  void       SetStats(bool fg=true) { stats = fg; }
   virtual void       AppendTextInfo(string& info, double xmin, double ymin, double xmax, double ymax);
        
Index: trunk/SophyaPI/PIext/servnobjm.cc
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.cc	(revision 545)
+++ trunk/SophyaPI/PIext/servnobjm.cc	(revision 546)
@@ -344,4 +344,5 @@
 // nt->Print(0,10);
 PINTuple* pin = new PINTuple(nt, true);
+pin->SetStats(Services2NObjMgr::GetStatsOption(dopt));
 pin->SelectXY(ntn[0], ntn[1]);
 if ( haserr ) pin->SelectErrBar(ntn[2], ntn[3]);
@@ -423,4 +424,5 @@
 
 PINTuple* pin = new PINTuple(nt, true);
+pin->SetStats(Services2NObjMgr::GetStatsOption(dopt));
 pin->SelectXY(ntn[0], ntn[1]);
 pin->SelectWt(ntn[2]);
@@ -1210,5 +1212,48 @@
 
 
+// Variable pour stocker l'option de stat des drawers
+static bool stats_option = true;
+/* --Methode-- */
+void Services2NObjMgr::SetDefaultStatsOption(bool opt)
+{
+  stats_option = opt;
+}
+
 typedef vector<string> GraTok;
+
+/* --Methode-- */
+bool Services2NObjMgr::GetStatsOption(string& gratt)
+{
+int ropt = Disp_Next;
+for(int i=0; i<gratt.length(); i++) gratt[i] = tolower(gratt[i]);
+// On separe en mots separes par des virgules 
+gratt = ","+gratt;
+size_t p = 0;
+size_t q = 0;
+size_t l = gratt.length();
+string token;
+
+GraTok grt;
+
+while (q < l)  {
+  p = gratt.find_first_not_of(" ,",q+1); // au debut d'un token
+  if (p>=l) break;
+  q = gratt.find_first_of(" ,",p); // la fin du token;
+  token = gratt.substr(p,q-p);
+  grt.push_back(token);
+  }
+int k;
+bool fgsame = false;
+int option = 0; 
+for(k=0; k<grt.size(); k++) {
+  if ( (grt[k] == "same") || (grt[k] == "s") )  option = 1;
+  else if ( (grt[k] == "stat") || (grt[k] == "stats") ) option = 2;
+  else if ( (grt[k] == "nostat") || (grt[k] == "nostats") ) option = 3;
+}
+
+if (option == 0)  return(stats_option);
+else if ( (option == 1) || (option == 3) )  return(false);
+else return(true);
+}
 
 /* --Methode-- */
@@ -1234,4 +1279,5 @@
   mImgapp->SetXLogScale();
   mImgapp->SetYLogScale();
+  stats_option = true;
   return(ropt);
   }
@@ -1308,5 +1354,4 @@
 return(ropt);
 }
-
 
 
Index: trunk/SophyaPI/PIext/servnobjm.h
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.h	(revision 545)
+++ trunk/SophyaPI/PIext/servnobjm.h	(revision 546)
@@ -109,4 +109,6 @@
   static void   DecodeLoopParameters(string& loop, int& i1, int& i2, int& di);
   int 		DecodeDispOption(string& dopt, bool& fgsrgr);
+  static bool   GetStatsOption(string& dopt);
+  static void   SetDefaultStatsOption(bool opt);
   string 	FileName2Name(string const & fn);
   char* 	PClassIdToClassName(int cid);