Index: /trunk/SophyaPI/PI/pi3ddrw.cc
===================================================================
--- /trunk/SophyaPI/PI/pi3ddrw.cc	(revision 546)
+++ /trunk/SophyaPI/PI/pi3ddrw.cc	(revision 547)
@@ -413,4 +413,5 @@
 int id = AddDrawer(dr3, false, false, ad);
 if (m3DrIl.size() == 0)  dr3->SetAxesFlags(kStdAxes);
+else dr3->SetAxesFlags(kAxesNone);
 m3DrIl.push_back(id);
 return(id);
Index: /trunk/SophyaPI/PI/pibwdggen.cc
===================================================================
--- /trunk/SophyaPI/PI/pibwdggen.cc	(revision 546)
+++ /trunk/SophyaPI/PI/pibwdggen.cc	(revision 547)
@@ -338,6 +338,6 @@
 mDrXmin = xmin;   mDrXmax = xmax; 
 mDrYmin = ymin;   mDrYmax = ymax; 
-if ( (axrl != kAxeDirSame) && (axrl != kAxeDirAuto) )  mDXdir = axrl;    
-if ( (ayud != kAxeDirSame) && (ayud != kAxeDirAuto) )  mDYdir = ayud;
+if (axrl != kAxeDirSame)   mDXdir = axrl;    
+if (ayud != kAxeDirSame)   mDYdir = ayud;
 }
 
@@ -515,5 +515,4 @@
 
 vector<BWDrwId>::iterator it;
-bool fgc=false;
 for(it = mDrwList.begin(); it != mDrwList.end(); it++) {
   g->SaveGraphicAtt();
@@ -538,5 +537,5 @@
   }
   guc = (*it).drw->SetDrwWdg(this, drx0, dry0, drdx, drdy, g);
-  if ((*it).clip)  { g->SetClipRectangle(drx0, dry0, drdx , drdy);  fgc = true; }
+  if ((*it).clip)  g->SetClipRectangle(drx0, dry0, drdx , drdy);  
   (*it).drw->SelGraAtt(guc);
   if (sxy) {
@@ -552,6 +551,6 @@
   (*it).drw->Draw(guc, xmin, ymin, xmax, ymax);
   g->RestoreGraphicAtt();
-  }
-if (fgc)  g->ClearClipRectangle();
+  if ((*it).clip)  g->ClearClipRectangle();
+  }
 
 return;
Index: /trunk/SophyaPI/PI/pidrawer.cc
===================================================================
--- /trunk/SophyaPI/PI/pidrawer.cc	(revision 546)
+++ /trunk/SophyaPI/PI/pidrawer.cc	(revision 547)
@@ -46,5 +46,5 @@
   SetLimits(-1, 1, -1, 1, kAxeDirLtoR, kAxeDirDownUp);
   limitsFixed = 0;
-  SetAxesFlags();   // Pas de trace d'axes par defaut 
+  SetAxesFlags(kAxesNone);   // Pas de trace d'axes par defaut 
   mDndfg = false;  // Pour controle de l'appel de Detach() si delete
 
Index: /trunk/SophyaPI/PI/pigraphps.cc
===================================================================
--- /trunk/SophyaPI/PI/pigraphps.cc	(revision 546)
+++ /trunk/SophyaPI/PI/pigraphps.cc	(revision 547)
@@ -113,5 +113,5 @@
   //  mPSOut->DrawString((double)x,(double)y,s,mFCol,mFAtt,mFSize); /* $CHECK$ PIFontSize ?? */
   mPSOut->DrawString((double)x,(double)y,s,mFCol, myFont.GetFontName(),
-                     myFont.GetFontAtt(),  myFont.GetFontSize());
+                     myFont.GetFontAtt(),  myFont.GetFontSize()*0.9); /* $CHECK$  x 0.9 - Reza 4/11/99 */
 // Calculez la taille de la boite occupe par la fonte
 //  myFont.GetFontHeight(int& asc, int& desc)  Tres proche de myFont.GetFontSize() en principe
@@ -126,5 +126,5 @@
   //  mPSOut->DrawString((double)x,(double)y,s,mFCol,mFAtt,mFSize); /* $CHECK$ PIFontSize ?? */
   mPSOut->DrawString((double)x,(double)y,s,mFCol, myFont.GetFontName(), 
-                     myFont.GetFontAtt(),  myFont.GetFontSize());
+                     myFont.GetFontAtt(),  myFont.GetFontSize()*0.9);  /* $CHECK$  x 0.9 - Reza 4/11/99 */
 // Idem taille ici 
 return;
Index: /trunk/SophyaPI/PI/psfile.cc
===================================================================
--- /trunk/SophyaPI/PI/psfile.cc	(revision 546)
+++ /trunk/SophyaPI/PI/psfile.cc	(revision 547)
@@ -719,15 +719,15 @@
     /* Choix des fontes */
     if ( (FontAtt != PI_NotDefFontAtt) && (FontAtt != mFontAtt) ) {
-      printf("PSFile::DrawString(%s) : FontAtt a change : %d %d \n", s, mFontAtt, FontAtt) ; 
+//DBG      printf("PSFile::DrawString(%s) : FontAtt a change : %d %d \n", s, mFontAtt, FontAtt) ; 
       mFontAtt = FontAtt;
       change = 1;
     }
     if ( (FontSize != PI_NotDefFontSize) && (FontSize != mFontSize) ) {
-      printf("PSFile::DrawString(%s) : FontSize a change : %d %d \n", s, mFontSize, FontSize) ; 
+//DBG      printf("PSFile::DrawString(%s) : FontSize a change : %d %d \n", s, mFontSize, FontSize) ; 
       mFontSize = (PIFontSize) FontSize;  // $CHECK$ EA ajoute le cast un peu au pif
       change = 1;
     }
     if( (FontName != mFontName) ) {
-      printf("PSFile::DrawString(%s) : FontName a change : %d %d \n", s, mFontName, FontName) ; 
+//DBG      printf("PSFile::DrawString(%s) : FontName a change : %d %d \n", s, mFontName, FontName) ; 
       mFontName = (PIFontName) FontName ; 
       change = 1 ; 