Index: trunk/SophyaLib/BaseTools/anydataobj.h
===================================================================
--- trunk/SophyaLib/BaseTools/anydataobj.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/anydataobj.h	(revision 552)
@@ -8,5 +8,5 @@
 #include "machdefs.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class AnyDataObj {
Index: trunk/SophyaLib/BaseTools/hashtable.h
===================================================================
--- trunk/SophyaLib/BaseTools/hashtable.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/hashtable.h	(revision 552)
@@ -10,5 +10,5 @@
 #include "pexceptions.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 template <class T, class K>
Index: trunk/SophyaLib/BaseTools/machdefs.h
===================================================================
--- trunk/SophyaLib/BaseTools/machdefs.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/machdefs.h	(revision 552)
@@ -346,6 +346,6 @@
 
 #ifdef __cplusplus
-namespace PlanckDPC {}
-using namespace PlanckDPC;
+namespace SOPHYA {}
+using namespace SOPHYA;
 #define EXPLICIT explicit
 #include "pclassids.h"
Index: trunk/SophyaLib/BaseTools/ndatablock.h
===================================================================
--- trunk/SophyaLib/BaseTools/ndatablock.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/ndatablock.h	(revision 552)
@@ -11,5 +11,5 @@
 #include <iostream.h>
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 // Classe pour permettre de partager des donnees avec 
Index: trunk/SophyaLib/BaseTools/objfio.h
===================================================================
--- trunk/SophyaLib/BaseTools/objfio.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/objfio.h	(revision 552)
@@ -11,5 +11,5 @@
 #include "ppersist.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 
Index: trunk/SophyaLib/BaseTools/pexceptions.h
===================================================================
--- trunk/SophyaLib/BaseTools/pexceptions.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/pexceptions.h	(revision 552)
@@ -8,5 +8,5 @@
 using namespace std;
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
   // Ancestor for PError and PException
Index: trunk/SophyaLib/BaseTools/ppersist.h
===================================================================
--- trunk/SophyaLib/BaseTools/ppersist.h	(revision 551)
+++ trunk/SophyaLib/BaseTools/ppersist.h	(revision 552)
@@ -23,5 +23,5 @@
 // Classe de base pour les objets qui peuvent devenir PPersist
 
-namespace PlanckDPC {
+namespace SOPHYA {
   
   class AnyDataObj;
Index: trunk/SophyaLib/NTools/cvector.h
===================================================================
--- trunk/SophyaLib/NTools/cvector.h	(revision 551)
+++ trunk/SophyaLib/NTools/cvector.h	(revision 552)
@@ -5,5 +5,5 @@
 #include "matrix.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
   class GeneralFit;
   template <class T> class TVector;
Index: trunk/SophyaLib/NTools/difeq.h
===================================================================
--- trunk/SophyaLib/NTools/difeq.h	(revision 551)
+++ trunk/SophyaLib/NTools/difeq.h	(revision 552)
@@ -7,5 +7,5 @@
 #include "tvector.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFunction;
Index: trunk/SophyaLib/NTools/dvlist.h
===================================================================
--- trunk/SophyaLib/NTools/dvlist.h	(revision 551)
+++ trunk/SophyaLib/NTools/dvlist.h	(revision 552)
@@ -17,5 +17,5 @@
 #include <string>
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 // Classe utilitaire pour manipuler des variables typees 
@@ -122,5 +122,5 @@
 // ObjFileIO<DVList>
 
-} // namespace PlanckDPC
+} // namespace SOPHYA
 
 #endif /* DVLIST_H__SEEN */
Index: trunk/SophyaLib/NTools/fct1dfit.h
===================================================================
--- trunk/SophyaLib/NTools/fct1dfit.h	(revision 551)
+++ trunk/SophyaLib/NTools/fct1dfit.h	(revision 552)
@@ -4,5 +4,5 @@
 #include "generalfit.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 //================================================================
Index: trunk/SophyaLib/NTools/fct2dfit.h
===================================================================
--- trunk/SophyaLib/NTools/fct2dfit.h	(revision 551)
+++ trunk/SophyaLib/NTools/fct2dfit.h	(revision 552)
@@ -4,5 +4,5 @@
 #include "generalfit.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 //================================================================
Index: trunk/SophyaLib/NTools/generaldata.h
===================================================================
--- trunk/SophyaLib/NTools/generaldata.h	(revision 551)
+++ trunk/SophyaLib/NTools/generaldata.h	(revision 552)
@@ -11,5 +11,5 @@
 #include "poly.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFit;
Index: trunk/SophyaLib/NTools/generalfit.h
===================================================================
--- trunk/SophyaLib/NTools/generalfit.h	(revision 551)
+++ trunk/SophyaLib/NTools/generalfit.h	(revision 552)
@@ -7,5 +7,5 @@
 #include "generaldata.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 //================================================================
Index: trunk/SophyaLib/NTools/hisprof.h
===================================================================
--- trunk/SophyaLib/NTools/hisprof.h	(revision 551)
+++ trunk/SophyaLib/NTools/hisprof.h	(revision 552)
@@ -8,5 +8,5 @@
 #include "histos.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class HProf : public Histo {
Index: trunk/SophyaLib/NTools/histos.h
===================================================================
--- trunk/SophyaLib/NTools/histos.h	(revision 551)
+++ trunk/SophyaLib/NTools/histos.h	(revision 552)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: histos.h,v 1.5 1999-10-25 16:39:57 ansari Exp $
+// $Id: histos.h,v 1.6 1999-11-05 13:08:29 ansari Exp $
 //
 
@@ -15,5 +15,5 @@
 #include "anydataobj.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFit;
Index: trunk/SophyaLib/NTools/histos2.h
===================================================================
--- trunk/SophyaLib/NTools/histos2.h	(revision 551)
+++ trunk/SophyaLib/NTools/histos2.h	(revision 552)
@@ -18,5 +18,5 @@
 #include "histos.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFit;
Index: trunk/SophyaLib/NTools/integ.h
===================================================================
--- trunk/SophyaLib/NTools/integ.h	(revision 551)
+++ trunk/SophyaLib/NTools/integ.h	(revision 552)
@@ -3,5 +3,5 @@
 // integ.h
 //
-// $Id: integ.h,v 1.5 1999-10-25 16:39:59 ansari Exp $
+// $Id: integ.h,v 1.6 1999-11-05 13:08:29 ansari Exp $
 //
 
@@ -13,5 +13,5 @@
 #include <set>
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFunction;
Index: trunk/SophyaLib/NTools/linfit.h
===================================================================
--- trunk/SophyaLib/NTools/linfit.h	(revision 551)
+++ trunk/SophyaLib/NTools/linfit.h	(revision 552)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: linfit.h,v 1.5 1999-11-03 14:38:48 ansari Exp $
+// $Id: linfit.h,v 1.6 1999-11-05 13:08:30 ansari Exp $
 //
 
@@ -12,5 +12,5 @@
 #include "tvector.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class LinFitter {
Index: trunk/SophyaLib/NTools/matrix.h
===================================================================
--- trunk/SophyaLib/NTools/matrix.h	(revision 551)
+++ trunk/SophyaLib/NTools/matrix.h	(revision 552)
@@ -12,5 +12,5 @@
 #include "ppersist.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
   class GeneralFit;
   template <class T> class TMatrix;
Index: trunk/SophyaLib/NTools/ntuple.h
===================================================================
--- trunk/SophyaLib/NTools/ntuple.h	(revision 551)
+++ trunk/SophyaLib/NTools/ntuple.h	(revision 552)
@@ -17,5 +17,5 @@
 #include "dvlist.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class NTuple : public AnyDataObj , public NTupleInterface {
@@ -104,5 +104,5 @@
 #endif
 
-} // namespace PlanckDPC
+} // namespace SOPHYA
 
 #endif
Index: trunk/SophyaLib/NTools/poly.h
===================================================================
--- trunk/SophyaLib/NTools/poly.h	(revision 551)
+++ trunk/SophyaLib/NTools/poly.h	(revision 552)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: poly.h,v 1.3 1999-10-25 16:40:01 ansari Exp $
+// $Id: poly.h,v 1.4 1999-11-05 13:08:31 ansari Exp $
 //
 
@@ -16,5 +16,5 @@
 #include "anydataobj.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class Poly2;
Index: trunk/SophyaLib/NTools/rk4cdifeq.h
===================================================================
--- trunk/SophyaLib/NTools/rk4cdifeq.h	(revision 551)
+++ trunk/SophyaLib/NTools/rk4cdifeq.h	(revision 552)
@@ -5,5 +5,5 @@
 #include "difeq.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 // <summary> Runge-Kutta ordre 4 adaptatif </summary>
Index: trunk/SophyaLib/NTools/rzimage.h
===================================================================
--- trunk/SophyaLib/NTools/rzimage.h	(revision 551)
+++ trunk/SophyaLib/NTools/rzimage.h	(revision 552)
@@ -15,5 +15,5 @@
 #include "dvlist.h"
 
-namespace PlanckDPC {class GeneralFit;}
+namespace SOPHYA {class GeneralFit;}
 
 // Flags de verifications sur les indices 
Index: trunk/SophyaLib/NTools/tmatrix.h
===================================================================
--- trunk/SophyaLib/NTools/tmatrix.h	(revision 551)
+++ trunk/SophyaLib/NTools/tmatrix.h	(revision 552)
@@ -12,5 +12,5 @@
 #include "ndatablock.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFit;
Index: trunk/SophyaLib/NTools/tvector.h
===================================================================
--- trunk/SophyaLib/NTools/tvector.h	(revision 551)
+++ trunk/SophyaLib/NTools/tvector.h	(revision 552)
@@ -6,5 +6,5 @@
 #include "tmatrix.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 class GeneralFit;
Index: trunk/SophyaLib/Samba/misstime.h
===================================================================
--- trunk/SophyaLib/Samba/misstime.h	(revision 551)
+++ trunk/SophyaLib/Samba/misstime.h	(revision 552)
@@ -5,5 +5,5 @@
 #include "machdefs.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 // Just a double for the moment, would be converted to a class later
 typedef r_8 MissionTime;
Index: trunk/SophyaLib/Samba/spherepos.h
===================================================================
--- trunk/SophyaLib/Samba/spherepos.h	(revision 551)
+++ trunk/SophyaLib/Samba/spherepos.h	(revision 552)
@@ -8,7 +8,7 @@
 #include "unitvector.h"
 
-static char *head_spherepos_h_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/Samba/spherepos.h,v 1.2 1999-10-27 14:25:24 ansari Exp $";
+static char *head_spherepos_h_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/Samba/spherepos.h,v 1.3 1999-11-05 13:10:10 ansari Exp $";
 
-namespace PlanckDPC {
+namespace SOPHYA {
 
 enum SphereCoordSysIds { SphereCoordSys_NEUTRAL =0, 
Index: trunk/SophyaLib/Samba/tod.h
===================================================================
--- trunk/SophyaLib/Samba/tod.h	(revision 551)
+++ trunk/SophyaLib/Samba/tod.h	(revision 552)
@@ -7,5 +7,5 @@
 #include "misstime.h"
 
-namespace PlanckDPC {
+namespace SOPHYA {
 template<class T>
 class TOD 
Index: trunk/SophyaProg/Tests/tstndblk.cc
===================================================================
--- trunk/SophyaProg/Tests/tstndblk.cc	(revision 551)
+++ trunk/SophyaProg/Tests/tstndblk.cc	(revision 552)
@@ -8,6 +8,4 @@
 #include "pexceptions.h"
 #include "ndatablock.h"
-
-using namespace PlanckDPC;
 
 ////////////////////////////////////////////////////////////////////////////////////////
Index: trunk/SophyaProg/Tests/tsttmat.cc
===================================================================
--- trunk/SophyaProg/Tests/tsttmat.cc	(revision 551)
+++ trunk/SophyaProg/Tests/tsttmat.cc	(revision 552)
@@ -10,6 +10,4 @@
 #include "tmatrix.h"
 #include "nbrandom.h"
-
-using namespace PlanckDPC;
 
 ////////////////////////////////////////////////////////////////////////////////////////
Index: trunk/SophyaProg/Tests/tsttvec.cc
===================================================================
--- trunk/SophyaProg/Tests/tsttvec.cc	(revision 551)
+++ trunk/SophyaProg/Tests/tsttvec.cc	(revision 552)
@@ -10,6 +10,4 @@
 #include "tvector.h"
 #include "nbrandom.h"
-
-using namespace PlanckDPC;
 
 ////////////////////////////////////////////////////////////////////////////////////////