Index: trunk/SophyaLib/Samba/spherethetaphi.cc
===================================================================
--- trunk/SophyaLib/Samba/spherethetaphi.cc	(revision 518)
+++ trunk/SophyaLib/Samba/spherethetaphi.cc	(revision 565)
@@ -13,12 +13,13 @@
 // include      spherethetaphi.h nbmath.h 
 //
-//    Découpage de la sphère selon theta et phi, chaque 
-//    hémisphère étant découpé en (m-1) parallèles (l'équateur compte pour du 
-//    beurre), chacune des m bandes de theta ainsi définies étant découpée par 
-//    des méridiens équirepartis, ce découpage étant fait de sorte que tous 
-//    les pixels aient la même surface et soient le plus carré possible.
-//    On commence par découper l'hémisphère de z positif en partant du pôle et 
-//    en allant vers l'équateur. Le premier pixel est la calotte polaire, 
-//    il est circulaire et centré sur theta=0.
+//    sphere splitted with respect to theta, phi : each hemisphere is 
+//    splitted into (m-1) parallels (equator does not enter into account).
+//    This operation defines m slices, each of which is splitted into 
+//    equidistant meridians. This splitting is realized in such a way that 
+//    all pixels have the same area and are as square as possible.
+
+//    One begins with the hemisphere with positive z, starting from the pole
+//    toward the equator. The first pixel is the polar cap ; it is circular
+//    and centered on theta=0. 
 //--
 //++
@@ -28,14 +29,8 @@
 //    SphericalMap 
 //-- 
-//++
-//
-// Links	Descendants
-//
-//     
-//-- 
-
-/* --Methode-- */
-//++
-// Titre	Constructeurs
+
+/* --Methode-- */
+//++
+// Titre	Constructors
 //--
 //++
@@ -56,8 +51,7 @@
 SphereThetaPhi<T>::SphereThetaPhi(int m)
 
-//    Constructeur : m est le nombre de bandes en theta sur un hémisphère 
-//    (la calotte constituant la premiere bande).
-//    pet est le nombre de pixels (pétales) de la bande en contact avec la 
-//    calotte polaire. Pour l'instant pet est inopérant! 
+//    m is the number of slices in theta on an hemisphere (the polar cap
+//    forms the first slice).
+//    pet is a dummy parameter at the moment. 
 //--
 {
@@ -88,5 +82,5 @@
 
 //++
-// Titre	Destructeur
+// Titre	Destructor
 //--
 //++
@@ -100,5 +94,5 @@
 
 //++
-// Titre	Méthodes
+// Titre	Public Méthods
 //--
 template <class T>
@@ -141,5 +135,5 @@
 int SphereThetaPhi<T>::NbPixels() const
 
-//    Retourne le nombre de pixels du découpage
+//    Return total number of pixels 
 //--
 {
@@ -152,5 +146,5 @@
 T& SphereThetaPhi<T>::PixVal(int k)
 
-//    Retourne la valeur du contenu du pixel d'indice k
+//    Return value of pixel with index k
 //--
 {
@@ -168,5 +162,5 @@
 T const& SphereThetaPhi<T>::PixVal(int k) const
 
-//    Retourne la valeur du contenu du pixel d'indice k
+//    Return value of pixel with index k
 //--
 {
@@ -194,6 +188,6 @@
 int SphereThetaPhi<T>::PixIndexSph(double theta, double phi) const
 
-//  Retourne l'indice du pixel vers lequel pointe une direction définie par 
-//    ses coordonnées sphériques
+//    Return index of the pixel corresponding to 
+//    direction (theta, phi).
 //--
 {
@@ -223,5 +217,5 @@
 void SphereThetaPhi<T>::PixThetaPhi(int k,double& theta,double& phi) const
 
-//    Retourne les coordonnées (theta,phi) du milieu du pixel d'indice k
+//   Return (theta,phi) coordinates of middle of  pixel with  index k
 //--
 {
@@ -264,5 +258,5 @@
 void SphereThetaPhi<T>::Limits(int k,double& tetMin,double& tetMax,double& phiMin,double& phiMax) 
 
-//    Retourne les valeurs de theta et phi limitant le pixel d'indice k
+//   Return values of theta,phi which limit the pixel with  index k
 //--
   {
@@ -317,5 +311,5 @@
 int SphereThetaPhi<T>::NbThetaSlices() const
 
-//    Retourne le nombre de tranches en theta sur la sphere
+//    Return number of theta-slices on the sphere
 //--
 {
@@ -330,5 +324,5 @@
 int SphereThetaPhi<T>::NPhi(int kt) const
 
-//    Retourne le nombre de pixels en phi de la tranche kt
+//    Return number of pixels in phi-direction of the kt-th slice
 //-- 
 {
@@ -353,5 +347,5 @@
 void SphereThetaPhi<T>::Theta(int kt,double& tetMin,double& tetMax) 
 
-//    Retourne les valeurs de theta limitant la tranche kt
+//    Return  theta values which limit the slice kt
 //--
 {
@@ -385,5 +379,5 @@
 void SphereThetaPhi<T>::Phi(int kt,int jp,double& phiMin,double& phiMax) 
 
-//    Retourne les valeurs de phi limitant le pixel jp de la tranche kt
+//   Return values of phi which limit the jp-th pixel of the kt-th slice
 //--
 {
@@ -416,5 +410,5 @@
 int SphereThetaPhi<T>::Index(int kt,int jp) const
 
-//    Retourne l'indice du pixel d'indice jp dans la tranche kt 
+//    Return pixel index  with sequence index jp in the slice kt 
 //--
 {
@@ -449,5 +443,5 @@
 void SphereThetaPhi<T>::ThetaPhiIndex(int k,int& kt,int& jp) 
 
-//    Retourne les indices kt et jp du pixel d'indice k
+//    Return indices kt (theta) and jp (phi) of  pixel with index k
 //--
 {
@@ -477,12 +471,14 @@
 void  SphereThetaPhi<T>::Pixelize(int m) 
 
-//    effectue le découpage en pixels (m et pet ont la même signification 
-//    que pour le constructeur)
+//    achieve the splitting into pixels (m has the same signification 
+//    as for the constructor)
 //
-//    Chaque bande de theta sera découpée en partant de phi=0 ...
-//    L'autre hémisphère est parcourue dans le même sens en phi et de
-//    l'équateur vers le pôle (le pixel qui suit le dernier de la bande la plus
-//    proche de l'équateur a z>0 est celui de plus petit phi de la bande la 
-//    plus proche de l'equateur a z<0).
+//    Each theta-slice of the north hemisphere will be spitted starting f
+//    from  phi=0 ...
+//
+//    South hemisphere is scanned in the same direction according to phi
+//    and from equator to the pole (the pixel following the last one of
+//    the slice closest to the equator with z>0, is the pixel with lowest 
+//    phi of the slice closest of the equator with z<0).
 //--
 {
@@ -554,8 +550,8 @@
 void SphereThetaPhi<T>::GetThetaSlice(int index,double& theta, TVector<double>& phi, TVector<T>& value) const 
 
-//    Retourne, pour la tranche en theta d'indice 'index' le theta 
-//    correspondant, un vecteur (Peida) contenant les phi des pixels de 
-//    la tranche, un vecteur (Peida) contenant les valeurs de pixel 
-//    correspondantes
+//    For a theta-slice with index 'index', return : 
+//    the corresponding "theta" 
+//    a vector containing the phi's of the pixels of the slice
+//    a vector containing the corresponding values of pixels 
 //--
 
@@ -591,5 +587,5 @@
 void SphereThetaPhi<T>::setmNPhi(int* array, int m)
   //remplit le tableau contenant le nombre de pixels en phi de chacune des bandes en theta 
-  //--
+  //
 {
   NPhi_= new int[m];
@@ -600,5 +596,5 @@
 void SphereThetaPhi<T>::setmTNphi(int* array, int m)
   //remplit  le tableau contenant le nombre/Deuxpi total des pixels contenus dans les bandes 
-  //--
+  //
 {
   TNphi_= new int[m];
@@ -609,5 +605,5 @@
 void SphereThetaPhi<T>::setmTheta(double* array, int m)
   //remplit  le tableau contenant les valeurs limites de theta
-  //--
+  //
 {
   Theta_= new double[m];
@@ -715,5 +711,4 @@
 void FIO_SphereThetaPhi<T>::ReadSelf(PInPersist& is)
 {
-  cout << " FIO_SphereThetaPhi:: ReadSelf " << endl;
 
   if(dobj == NULL) 
@@ -772,5 +767,4 @@
 void FIO_SphereThetaPhi<T>::WriteSelf(POutPersist& os) const
 {
-  cout << " FIO_SphereThetaPhi:: WriteSelf " << endl;
 
   if(dobj == NULL) 